Google Groups

Error on yum update


Nando Apr 18, 2012 11:13 AM
Posted in group: Percona Discussion
I'm getting an error related to Percona when I run yum update on a
Centos 5.4 server, as below. I could remove it from the system, since
I'm not using it to back up the MySql databases, but I'd want to make
sure I do no harm. Any advice?


yum update
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: centos.mirrors.tds.net
 * extras: mirror.steadfast.net
 * updates: yum.singlehop.com
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package Percona-XtraDB-Cluster-client.x86_64
1:5.5.20-23.4.3748.rhel5 set to be updated
--> Processing Dependency: mysql-libs for package: Percona-XtraDB-
Cluster-client
---> Package Percona-XtraDB-Cluster-server.x86_64
1:5.5.20-23.4.3748.rhel5 set to be updated
--> Processing Dependency: rsync for package: Percona-XtraDB-Cluster-
server
--> Processing Dependency: Percona-XtraDB-Cluster-galera for package:
Percona-XtraDB-Cluster-server
--> Processing Dependency: nc for package: Percona-XtraDB-Cluster-
server
---> Package freetype.x86_64 0:2.2.1-31.el5_8.1 set to be updated
---> Package kernel-headers.x86_64 0:2.6.18-308.4.1.el5 set to be
updated
---> Package libgcrypt.i386 0:1.4.4-5.el5_8.2 set to be updated
---> Package libgcrypt.x86_64 0:1.4.4-5.el5_8.2 set to be updated
--> Processing Dependency: libmysqlclient.so.15()(64bit) for package:
perl-DBD-MySQL
--> Processing Dependency: libmysqlclient.so.15(libmysqlclient_15)
(64bit) for package: perl-DBD-MySQL
---> Package percona-xtrabackup.x86_64 0:2.0.0-417.rhel5 set to be
updated
---> Package popt.x86_64 0:1.10.2.3-28.el5_8 set to be updated
---> Package rpm.x86_64 0:4.4.2.3-28.el5_8 set to be updated
---> Package rpm-libs.x86_64 0:4.4.2.3-28.el5_8 set to be updated
---> Package rpm-python.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Running transaction check
---> Package Percona-SQL-shared-50.x86_64 0:5.0.92-b23.85.rhel5 set to
be updated
---> Package Percona-XtraDB-Cluster-galera.x86_64 0:2.0-1.109.rhel5
set to be updated
--> Processing Dependency: libboost_program_options.so.5()(64bit) for
package: Percona-XtraDB-Cluster-galera
---> Package Percona-XtraDB-Cluster-shared.x86_64
1:5.5.20-23.4.3748.rhel5 set to be updated
---> Package nc.x86_64 0:1.84-10.fc6 set to be updated
---> Package rsync.x86_64 0:3.0.6-4.el5_7.1 set to be updated
--> Finished Dependency Resolution
Percona-XtraDB-Cluster-galera-2.0-1.109.rhel5.x86_64 from percona has
depsolving problems
  --> Missing Dependency: libboost_program_options.so.5()(64bit) is
needed by package Percona-XtraDB-Cluster-galera-2.0-1.109.rhel5.x86_64
(percona)
Error: Missing Dependency: libboost_program_options.so.5()(64bit) is
needed by package Percona-XtraDB-Cluster-galera-2.0-1.109.rhel5.x86_64
(percona)